<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">ElasticsearchIndexMapper</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.ElasticsearchIndexMapper Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#aef7fecc6448a349c10c379b3ed52f55f">_generalAdditionalTripleLabels</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ac5b8eb54d40660e41e7fb4057babb715">_labelOfProperties</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ae387ca90d1692c047ab4daf85fdbd22b">_properties</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a81af69e8106dea8935b83fdb8047a624">_RDFClient</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a9858ada0e33475c3911136f6f4d95606">_typeOfProperties</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ab1d08a64df9f8c24635ccf2dc741337f">BOOLEAN</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a257388a58c2b85c865f9c608d114d5e0">BOOLEAN_EXTENSION</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ad42b90ee9fc249fc5ca0f0485e60c903">CreateIndex</a>(string alias=null)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a0706801ca2aa20f1c77715204dc8247a">CreateLabelOfProperty</a>(string property)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a08c46df0f78abc3b46f6193e4e344985">CreateLabelOfProps</a>(IEnumerable&lt; string &gt; properties)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a4c0e79b4e855c7e9ba062531d0fdaf94">CreateTypeOfProps</a>(IEnumerable&lt; string &gt; properties)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#acee03a2eaf7383d3ed647a32528b1efb">DATE</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#aac29a44605e7cbbcac90a9feaa67b7e3">DAY_EXTENSION</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a7c08b4b0626287c0bda2b3ded467568c">DEFAULT_ALIAS_NAME</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a0cb17b07dc5a845e908f535511d9c873">ElasticsearchIndexMapper</a>(RdfClient RDFClient, IDictionary&lt; string, string &gt; mapping=null)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ae1e7d8d6f5b4c6e28306796ecf04b1db">GetLabelOfProperty</a>(string property)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a2739439e0b1a22f1c0e738605b696cf6">GetSearchType</a>(ApplicationProfileType type)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a97f1d23bbea4c1e2466c1c1cc409a853">GetTypeOfProperty</a>(string property)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#ac017954c851f30c5d0080e036ee8264f">INTEGER</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a75ecfd5cc7c2de691ebd67e7fe851cdf">KEYWORD</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a2bec21188efd95d97ade20e88346f432">LABEL_APPLICATION_PROFILE</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a6d3137c0e50547eea468bad2701180f2">LABEL_BELONGS_TO_PROJECT</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a72df5633bf624fdadb09792353ecce3f">LABEL_GRAPHNAME</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#adffd25d8c28b128ba57ca4c56edf0826">LABEL_IS_PUBLIC</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a8871af831c7adbfd96b5cac4b0244685">MONTH_EXTENSION</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#abec997d6b8e4caa78a5089676e8e0ffa">ReplaceMapping</a>(IDictionary&lt; string, string &gt; mapping)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a6834dddae753d19ea3461833bb7dd1ff">TEXT</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html#a871b9a929aa5960e5524a78ffa510c0d">YEAR_EXTENSION</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">SemanticSearchImplementation.ElasticsearchIndexMapper</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
